Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1015185 - PRD34 - [RFE] Addition of os disk indicator on VM import screen
Summary: PRD34 - [RFE] Addition of os disk indicator on VM import screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.2.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-10-03 15:14 UTC by Allan Voss
Modified: 2018-12-06 15:20 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
With this update, it is now possible to see which of a virtual machine's disks is the boot disk when importing that virtual machine from an export storage domain.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:00:11 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 629233 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 20056 None None None Never

Description Allan Voss 2013-10-03 15:14:15 UTC
1. Customer Name 
Richard Davis (PGDS Ltd)

2. What is the nature and description of the request?
Upon import of a VM from the Export storage domain, we would like to see an indicator to show which of the disks to be imported is the os (boot) disk of the virtual machine being imported. Similar to the indicator in the "Disks" tab. 
This then allows us to import the os disk on the desired storage domain. (Many people have a separate storage domain for VM os disks)
 
3. Why does the customer need this? (List the business requirements here)
It ensures that we import the VM's boot disk onto the correct/desired storage domain.

4. How would the customer like to achieve this? 
An "os" indicator in the VM Import screen to show which of the disks is the boot disk.

5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented. 
Conduct a test export/import of a VM and ensure that the correct disk is being indicated as "os".

6. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

7. How quickly does this need resolved?
3.3 

8. List the affected packages 
Unknown

9. Would the customer be able to assist in testing this functionality if implemented?
Absolutely.

Comment 3 Sandro Bonazzola 2014-01-14 08:42:35 UTC
ovirt 3.4.0 alpha has been released

Comment 4 Aharon Canan 2014-03-06 07:16:56 UTC
Verified using 3.4 av2 

TCMS run - https://tcms.engineering.redhat.com/run/119320/

Comment 5 errata-xmlrpc 2014-06-09 15:00:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html

Comment 6 Richard Davis 2014-06-11 16:14:41 UTC
Good work.  Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.